JoinVREConfigurationActionImpl (gCube Join VRE Portlet 2.0.0-SNAPSHOT API)
Date: 2016-03-17

org.gcube.portlets.user.joinvre.server.portlet

## Class JoinVREConfigurationActionImpl

- java.lang.Object
- - org.gcube.portlets.user.joinvre.server.portlet.JoinVREConfigurationActionImpl

- All Implemented Interfaces:
    com.liferay.portal.kernel.portlet.ConfigurationAction

      public class JoinVREConfigurationActionImpl
      extends Object
      implements com.liferay.portal.kernel.portlet.ConfigurationAction

  Author:
    Luca Frosini (ISTI - CNR) http://www.lucafrosini.com/

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PORTLET_RESOURCE`
    `static String` | `PROPERTIES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JoinVREConfigurationActionImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processAction(javax.portlet.PortletConfig portletConfig, javax.portlet.ActionRequest actionRequest, javax.portlet.ActionResponse actionResponse)`
    `String` | `render(javax.portlet.PortletConfig portletConfig, javax.portlet.RenderRequest renderRequest, javax.portlet.RenderResponse renderResponse)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PORTLET_RESOURCE

          public static final String PORTLET_RESOURCE

      See Also:
        Constant Field Values

    - #### PROPERTIES

          public static final String PROPERTIES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JoinVREConfigurationActionImpl

          public JoinVREConfigurationActionImpl()

  - ### Method Detail

    - #### processAction

          public void processAction(javax.portlet.PortletConfig portletConfig,
                           javax.portlet.ActionRequest actionRequest,
                           javax.portlet.ActionResponse actionResponse)
                             throws Exception

      Specified by:
        `processAction` in interface `com.liferay.portal.kernel.portlet.ConfigurationAction`
      Throws:
        `Exception`

    - #### render

          public String render(javax.portlet.PortletConfig portletConfig,
                      javax.portlet.RenderRequest renderRequest,
                      javax.portlet.RenderResponse renderResponse)
                        throws Exception

      Specified by:
        `render` in interface `com.liferay.portal.kernel.portlet.ConfigurationAction`
      Throws:
        `Exception`

Copyright © 2016. All Rights Reserved.